import matplotlib.pyplot as plt
import numpy as np
import matplotlib
#matplotlib.use('Qt5Agg')
from src import coil_class as BC

scale = 1000
lim = 1
nr_points = (2 * lim) * scale + 1
x = np.linspace(-lim,lim,nr_points)
z = np.linspace(-lim,lim,nr_points)

def mu_it(x_pos):
    it = nr_points//2 + x_pos
    return it


Wires = [[0.45, 0.514],[0.475, 0.543],[0.5, 0.568]]

Wire_1 = Wires[2]

#I_current = 0.94
HH_Coil = BC.BCoil(HH = 1, distance = 54, radius = 48, layers = 8, windings = 8, wire_height = Wire_1[0],
                   wire_width = Wire_1[0], insulation_thickness=(Wire_1[1] - Wire_1[0]) / 2, is_round = True,
                   winding_scheme= 2)

R = HH_Coil.resistance(25)

I = 2
print(f"U ={I*R*2}")

print(f"resistance {R}")